import { isEmptyObject } from '@/common/common'
import { Button, View, Image, Text } from '@tarojs/components'
import { FC, memo, useMemo, useState } from 'react'
import styles from './index.module.scss'
import defaultAvatar from '../../styles/image/defaultAvatar.png'
import NormalButton from '@/components/normalButton'
import Tag from '@/components/tag'
import Divider from '@/components/Divider'
// 用户信息
const UserInfo: FC = () => {
  const [userInfo, setUserInfo] = useState({
    avatarUrl: '',
    username: '',
    userno: '',
  })

  const handleLogout = () => {}

  return (
    <View className={styles.userInfo}>
      <View className={styles.topBar}>
        <View className={styles.left}>
          <UserAvatar src={userInfo.avatarUrl} />
        </View>
        <View className={styles.middle}>
          <Text className={styles.username}>杨子杰</Text>
          <Text className={styles.userno}>064</Text>
        </View>
        <View className={styles.right}>
          <NormalButton type='primary' circle size='normal' onClick={handleLogout}>
            退出登录
          </NormalButton>
        </View>
      </View>
      <View className={styles.bottomBar}>
        <Tag type='primary' size='normal' circle customStyle={{'marginRight': '10px'}}>
          IT部门
        </Tag>
        <Divider direction='vertical'></Divider>
        <Text className={styles.userTitle}>IT-开发总监</Text>
      </View>
    </View>
  )
}
// 用户头像
const UserAvatar = ({ src }) => {
  return (
    <View className={styles.userAvatar}>
      <Image className='full-100' src={src ? src : defaultAvatar} />
      {src ? null : <Text className={styles['userAvatar-text']}>编辑</Text>}
    </View>
  )
}

// 我的
const User = () => {

  return (
    <>
      <View className={styles.main}>
        <UserInfo />
      </View>
    </>
  )
}

export default User
