import { combineReducers } from 'redux'
import userInfo from './userInfo'
import commonData from './commonData'
import tabBarReducer from './tabBar'

export type Reducers = {
  userInfo: typeof userInfo
  commonData: typeof commonData
  tabBarData: typeof tabBarReducer
}

export type ReducersKey = keyof Reducers

export default combineReducers<Reducers>({
  userInfo,
  commonData,
  tabBarData: tabBarReducer,
})
